Subject: Re: [bug#54432] [PATCH] gnu: rtl8812au-aircrack-ng-linux-module: Update to 37e27f9.

From: Leo Famulari <[email-masked]>
Date: Thu, 17 Mar 2022 17:43:40 -0400

On Thu, Mar 17, 2022 at 01:12:33AM +0000, J. Sims via Guix-patches via wrote:
> This fixes issues with Linux 5.17 and adds optimizations for 5.15:
> 
> https://github.com/aircrack-ng/rtl8812au/pull/942
> https://github.com/aircrack-ng/rtl8812au/commit/2f52f84096ae09d36012d455d29b73e6cb37f740
> 
> It also runs `guix style`.
> 
> * gnu/packages/linux.scm (rtl8812au-aircrack-ng-linux-module):
> Update to commit 37e27f9.

Thanks for paying attention to this package!

I pushed the update as commit a28dd4719267914482ee88250a2a6dfbdd81eca7,
although I did omit the style changes in light of Liliana's comments.

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=a28dd4719267914482ee88250a2a6dfbdd81eca7

We can use `guix style` but I prefer that we do it in its own commit,
and maybe even on the entire gnu/packages/linux.scm module at once.

That will make it easier to hide purely stylistic changes from `git
blame`, improving long-term utility of the Git history.

And as Liliana pointed out, maybe `guix style` needs some tweaks before
we use it here.